Package org.apache.felix.bundleplugin

# Class DependencyEmbedder

java.lang.Object
org.apache.felix.bundleplugin.AbstractDependencyFilter
org.apache.felix.bundleplugin.DependencyEmbedder

public final class DependencyEmbedder extends AbstractDependencyFilter
Add BND directives to embed selected dependencies inside a bundle

Author:
  Felix Project Team

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`EMBED_DEPENDENCY`
`static final String`
`EMBED_DIRECTORY`
`static final String`
`EMBED_STRIP_GROUP`
`static final String`
`EMBED_STRIP_VERSION`
`static final String`
`EMBED_TRANSITIVE`
`static final String`
`EMBEDDED_ARTIFACTS`

## Constructor Summary

Constructors
Constructor
Description
`DependencyEmbedder(org.apache.maven.plugin.logging.Log log, Collection<org.apache.maven.artifact.Artifact> dependencyArtifacts)`

## Method Summary

Modifier and Type
Method
Description
`Collection<org.apache.maven.artifact.Artifact>`
`getEmbeddedArtifacts()`
`Collection<String>`
`getInlinedPaths()`
`protected void`
`processDependencies(Collection<org.apache.maven.artifact.Artifact> dependencies, String inline)`
`void`
`processHeaders(aQute.bnd.osgi.Analyzer analyzer)`

### Methods inherited from class org.apache.felix.bundleplugin.AbstractDependencyFilter

`processInstructions`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### EMBED_DEPENDENCY

public static final String EMBED_DEPENDENCY

See Also:
  - Constant Field Values

### EMBED_DIRECTORY

public static final String EMBED_DIRECTORY

See Also:
  - Constant Field Values

### EMBED_STRIP_GROUP

public static final String EMBED_STRIP_GROUP

See Also:
  - Constant Field Values

### EMBED_STRIP_VERSION

public static final String EMBED_STRIP_VERSION

See Also:
  - Constant Field Values

### EMBED_TRANSITIVE

public static final String EMBED_TRANSITIVE

See Also:
  - Constant Field Values

### EMBEDDED_ARTIFACTS

public static final String EMBEDDED_ARTIFACTS

See Also:
  - Constant Field Values

## Constructor Details

### DependencyEmbedder

public DependencyEmbedder(org.apache.maven.plugin.logging.Log log, Collection<org.apache.maven.artifact.Artifact> dependencyArtifacts)

## Method Details

### processHeaders

public void processHeaders(aQute.bnd.osgi.Analyzer analyzer) throws org.apache.maven.plugin.MojoExecutionException

Throws:
  `org.apache.maven.plugin.MojoExecutionException`

### processDependencies

protected void processDependencies(Collection<org.apache.maven.artifact.Artifact> dependencies, String inline)

Specified by:
  `processDependencies` in class `AbstractDependencyFilter`

### getInlinedPaths

public Collection<String> getInlinedPaths()

### getEmbeddedArtifacts

public Collection<org.apache.maven.artifact.Artifact> getEmbeddedArtifacts()